package com.purui.prims.headless.server.persistence.repository;


import com.purui.prims.headless.server.persistence.dataobject.TagDO;
import com.purui.prims.headless.server.pojo.TagFilter;
import com.purui.prims.headless.api.pojo.request.TagDeleteReq;
import com.purui.prims.headless.api.pojo.response.TagResp;

import java.util.List;


public interface TagRepository {

    Long create(TagDO tagDO);

    void update(TagDO tagDO);

    TagDO getTagById(Long id);

    List<TagDO> getTagDOList(TagFilter tagFilter);

    List<TagResp> queryTagRespList(TagFilter tagFilter);

    Boolean delete(Long id);

    void deleteBatch(TagDeleteReq tagDeleteReq);
}
